Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(9)

Issue 1679503002: Drop frames until first IDR in VTVDA. (Closed)

Created:
3 years, 1 month ago by sandersd (OOO until July 31)
Modified:
3 years, 1 month ago
Reviewers:
DaleCurtis, wolenetz
CC:
chromium-reviews, darin-cc_chromium.org, feature-media-reviews_chromium.org, jam, mcasas+watch_chromium.org, piman+watch_chromium.org, posciak+watch_chromium.org
Base URL:
https://chromium.googlesource.com/chromium/src.git@master
Target Ref:
refs/pending/heads/master
Project:
chromium
Visibility:
Public.

Description

Drop frames until first IDR in VTVDA. This allows us to decode streams that incorrectly mark every frame as a keyframe; we will drop frames until the first IDR and configure the decoder then. When this happens we log an error; it will show up in chrome://gpu (and stderr). This does mean that we are delaying decode failure (possibly indefinitely) in that case. BUG=229412, 583638, 583698, 516039 Committed: https://crrev.com/8a2f5658c6301691342e302ea618c61cad5d220c Cr-Commit-Position: refs/heads/master@{#373964}

Patch Set 1 #

Total comments: 2

Patch Set 2 : Reduce spam. #

Total comments: 2
Unified diffs Side-by-side diffs Delta from patch set Stats (+29 lines, -9 lines) Patch
M content/common/gpu/media/vt_video_decode_accelerator_mac.h View 1 1 chunk +2 lines, -0 lines 0 comments Download
M content/common/gpu/media/vt_video_decode_accelerator_mac.cc View 1 2 chunks +27 lines, -9 lines 2 comments Download

Messages

Total messages: 28 (13 generated)
sandersd (OOO until July 31)
3 years, 1 month ago (2016-02-05 22:28:10 UTC) #3
commit-bot: I haz the power
Dry run: CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/1679503002/1 View timeline at https://chromium-cq-status.appspot.com/patch-timeline/1679503002/1
3 years, 1 month ago (2016-02-05 22:29:41 UTC) #6
DaleCurtis
https://codereview.chromium.org/1679503002/diff/1/content/common/gpu/media/vt_video_decode_accelerator_mac.cc File content/common/gpu/media/vt_video_decode_accelerator_mac.cc (right): https://codereview.chromium.org/1679503002/diff/1/content/common/gpu/media/vt_video_decode_accelerator_mac.cc#newcode649 content/common/gpu/media/vt_video_decode_accelerator_mac.cc:649: LOG(ERROR) << "Illegal attempt to decode without IDR. Dropping ...
3 years, 1 month ago (2016-02-05 22:35:27 UTC) #8
wolenetz
LGTM % : * --log spam per dalecurtis@ * in description (ideally in BUG= line), ...
3 years, 1 month ago (2016-02-05 22:52:06 UTC) #9
commit-bot: I haz the power
Dry run: This issue passed the CQ dry run.
3 years, 1 month ago (2016-02-05 23:16:56 UTC) #11
sandersd (OOO until July 31)
https://codereview.chromium.org/1679503002/diff/1/content/common/gpu/media/vt_video_decode_accelerator_mac.cc File content/common/gpu/media/vt_video_decode_accelerator_mac.cc (right): https://codereview.chromium.org/1679503002/diff/1/content/common/gpu/media/vt_video_decode_accelerator_mac.cc#newcode649 content/common/gpu/media/vt_video_decode_accelerator_mac.cc:649: LOG(ERROR) << "Illegal attempt to decode without IDR. Dropping ...
3 years, 1 month ago (2016-02-05 23:24:54 UTC) #13
commit-bot: I haz the power
Dry run: CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/1679503002/20001 View timeline at https://chromium-cq-status.appspot.com/patch-timeline/1679503002/20001
3 years, 1 month ago (2016-02-05 23:25:56 UTC) #15
wolenetz
lgtm2
3 years, 1 month ago (2016-02-05 23:32:29 UTC) #16
DaleCurtis
lgtm https://codereview.chromium.org/1679503002/diff/20001/content/common/gpu/media/vt_video_decode_accelerator_mac.cc File content/common/gpu/media/vt_video_decode_accelerator_mac.cc (right): https://codereview.chromium.org/1679503002/diff/20001/content/common/gpu/media/vt_video_decode_accelerator_mac.cc#newcode653 content/common/gpu/media/vt_video_decode_accelerator_mac.cc:653: missing_idr_logged_ = true; Do you want to reset ...
3 years, 1 month ago (2016-02-05 23:50:08 UTC) #17
wolenetz
On 2016/02/05 23:50:08, DaleCurtis wrote: > lgtm > > https://codereview.chromium.org/1679503002/diff/20001/content/common/gpu/media/vt_video_decode_accelerator_mac.cc > File content/common/gpu/media/vt_video_decode_accelerator_mac.cc (right): > ...
3 years, 1 month ago (2016-02-05 23:52:47 UTC) #18
sandersd (OOO until July 31)
https://codereview.chromium.org/1679503002/diff/20001/content/common/gpu/media/vt_video_decode_accelerator_mac.cc File content/common/gpu/media/vt_video_decode_accelerator_mac.cc (right): https://codereview.chromium.org/1679503002/diff/20001/content/common/gpu/media/vt_video_decode_accelerator_mac.cc#newcode653 content/common/gpu/media/vt_video_decode_accelerator_mac.cc:653: missing_idr_logged_ = true; On 2016/02/05 23:50:08, DaleCurtis wrote: > ...
3 years, 1 month ago (2016-02-05 23:53:52 UTC) #19
commit-bot: I haz the power
Dry run: This issue passed the CQ dry run.
3 years, 1 month ago (2016-02-06 00:07:15 UTC) #21
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/1679503002/20001 View timeline at https://chromium-cq-status.appspot.com/patch-timeline/1679503002/20001
3 years, 1 month ago (2016-02-06 00:11:27 UTC) #24
commit-bot: I haz the power
Committed patchset #2 (id:20001)
3 years, 1 month ago (2016-02-06 00:23:32 UTC) #26
commit-bot: I haz the power
3 years, 1 month ago (2016-02-06 00:24:47 UTC) #28
Message was sent while issue was closed.
Patchset 2 (id:??) landed as
https://crrev.com/8a2f5658c6301691342e302ea618c61cad5d220c
Cr-Commit-Position: refs/heads/master@{#373964}

Powered by Google App Engine
This is Rietveld 408576698